Delete cloud storage provider
Deletes the user authentication information for the specified cloud storage provider. The next time the user tries to access the cloud storage provider, they must pass normal authentication for this cloud storage provider.
Authentication
AuthorizationBearer
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
accountId
The external account number (int) or account ID Guid.
serviceId
The ID of the service to access.
Valid values are the service name (“Box”) or the numerical serviceId (“4136”).
userId
The ID of the user to access.
Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.
Response
Successful response.
storageProviders
An Array containing the storage providers associated with the user.
Errors
400
Bad Request Error